Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2740::/12
First address
2740::
Last address
274f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2740:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
4.7.2.ip6.arpa
Split into smaller subnets/20

2740::/12 makes 256 subnets of /20.

Subnets
#SubnetLast address
12740::/202740:fff:ffff:ffff:ffff:ffff:ffff:ffff
22740:1000::/202740:1fff:ffff:ffff:ffff:ffff:ffff:ffff
32740:2000::/202740:2fff:ffff:ffff:ffff:ffff:ffff:ffff
42740:3000::/202740:3fff:ffff:ffff:ffff:ffff:ffff:ffff
52740:4000::/202740:4fff:ffff:ffff:ffff:ffff:ffff:ffff
62740:5000::/202740:5fff:ffff:ffff:ffff:ffff:ffff:ffff
72740:6000::/202740:6fff:ffff:ffff:ffff:ffff:ffff:ffff
82740:7000::/202740:7fff:ffff:ffff:ffff:ffff:ffff:ffff
92740:8000::/202740:8fff:ffff:ffff:ffff:ffff:ffff:ffff
102740:9000::/202740:9fff:ffff:ffff:ffff:ffff:ffff:ffff
112740:a000::/202740:afff:ffff:ffff:ffff:ffff:ffff:ffff
122740:b000::/202740:bfff:ffff:ffff:ffff:ffff:ffff:ffff
132740:c000::/202740:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142740:d000::/202740:dfff:ffff:ffff:ffff:ffff:ffff:ffff
152740:e000::/202740:efff:ffff:ffff:ffff:ffff:ffff:ffff
162740:f000::/202740:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172741::/202741:fff:ffff:ffff:ffff:ffff:ffff:ffff
182741:1000::/202741:1fff:ffff:ffff:ffff:ffff:ffff:ffff
192741:2000::/202741:2fff:ffff:ffff:ffff:ffff:ffff:ffff
202741:3000::/202741:3fff:ffff:ffff:ffff:ffff:ffff:ffff
212741:4000::/202741:4fff:ffff:ffff:ffff:ffff:ffff:ffff
222741:5000::/202741:5fff:ffff:ffff:ffff:ffff:ffff:ffff
232741:6000::/202741:6fff:ffff:ffff:ffff:ffff:ffff:ffff
242741:7000::/202741:7fff:ffff:ffff:ffff:ffff:ffff:ffff
252741:8000::/202741:8fff:ffff:ffff:ffff:ffff:ffff:ffff
262741:9000::/202741:9fff:ffff:ffff:ffff:ffff:ffff:ffff
272741:a000::/202741:afff:ffff:ffff:ffff:ffff:ffff:ffff
282741:b000::/202741:bfff:ffff:ffff:ffff:ffff:ffff:ffff
292741:c000::/202741:cfff:ffff:ffff:ffff:ffff:ffff:ffff
302741:d000::/202741:dfff:ffff:ffff:ffff:ffff:ffff:ffff
312741:e000::/202741:efff:ffff:ffff:ffff:ffff:ffff:ffff
322741:f000::/202741:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332742::/202742:fff:ffff:ffff:ffff:ffff:ffff:ffff
342742:1000::/202742:1fff:ffff:ffff:ffff:ffff:ffff:ffff
352742:2000::/202742:2fff:ffff:ffff:ffff:ffff:ffff:ffff
362742:3000::/202742:3fff:ffff:ffff:ffff:ffff:ffff:ffff
372742:4000::/202742:4fff:ffff:ffff:ffff:ffff:ffff:ffff
382742:5000::/202742:5fff:ffff:ffff:ffff:ffff:ffff:ffff
392742:6000::/202742:6fff:ffff:ffff:ffff:ffff:ffff:ffff
402742:7000::/202742:7fff:ffff:ffff:ffff:ffff:ffff:ffff
412742:8000::/202742:8fff:ffff:ffff:ffff:ffff:ffff:ffff
422742:9000::/202742:9fff:ffff:ffff:ffff:ffff:ffff:ffff
432742:a000::/202742:afff:ffff:ffff:ffff:ffff:ffff:ffff
442742:b000::/202742:bfff:ffff:ffff:ffff:ffff:ffff:ffff
452742:c000::/202742:cfff:ffff:ffff:ffff:ffff:ffff:ffff
462742:d000::/202742:dfff:ffff:ffff:ffff:ffff:ffff:ffff
472742:e000::/202742:efff:ffff:ffff:ffff:ffff:ffff:ffff
482742:f000::/202742:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492743::/202743:fff:ffff:ffff:ffff:ffff:ffff:ffff
502743:1000::/202743:1fff:ffff:ffff:ffff:ffff:ffff:ffff
512743:2000::/202743:2fff:ffff:ffff:ffff:ffff:ffff:ffff
522743:3000::/202743:3fff:ffff:ffff:ffff:ffff:ffff:ffff
532743:4000::/202743:4fff:ffff:ffff:ffff:ffff:ffff:ffff
542743:5000::/202743:5fff:ffff:ffff:ffff:ffff:ffff:ffff
552743:6000::/202743:6fff:ffff:ffff:ffff:ffff:ffff:ffff
562743:7000::/202743:7fff:ffff:ffff:ffff:ffff:ffff:ffff
572743:8000::/202743:8fff:ffff:ffff:ffff:ffff:ffff:ffff
582743:9000::/202743:9fff:ffff:ffff:ffff:ffff:ffff:ffff
592743:a000::/202743:afff:ffff:ffff:ffff:ffff:ffff:ffff
602743:b000::/202743:bfff:ffff:ffff:ffff:ffff:ffff:ffff
612743:c000::/202743:cfff:ffff:ffff:ffff:ffff:ffff:ffff
622743:d000::/202743:dfff:ffff:ffff:ffff:ffff:ffff:ffff
632743:e000::/202743:efff:ffff:ffff:ffff:ffff:ffff:ffff
642743:f000::/202743:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652744::/202744:fff:ffff:ffff:ffff:ffff:ffff:ffff
662744:1000::/202744:1fff:ffff:ffff:ffff:ffff:ffff:ffff
672744:2000::/202744:2fff:ffff:ffff:ffff:ffff:ffff:ffff
682744:3000::/202744:3fff:ffff:ffff:ffff:ffff:ffff:ffff
692744:4000::/202744:4fff:ffff:ffff:ffff:ffff:ffff:ffff
702744:5000::/202744:5fff:ffff:ffff:ffff:ffff:ffff:ffff
712744:6000::/202744:6fff:ffff:ffff:ffff:ffff:ffff:ffff
722744:7000::/202744:7fff:ffff:ffff:ffff:ffff:ffff:ffff
732744:8000::/202744:8fff:ffff:ffff:ffff:ffff:ffff:ffff
742744:9000::/202744:9fff:ffff:ffff:ffff:ffff:ffff:ffff
752744:a000::/202744:afff:ffff:ffff:ffff:ffff:ffff:ffff
762744:b000::/202744:bfff:ffff:ffff:ffff:ffff:ffff:ffff
772744:c000::/202744:cfff:ffff:ffff:ffff:ffff:ffff:ffff
782744:d000::/202744:dfff:ffff:ffff:ffff:ffff:ffff:ffff
792744:e000::/202744:efff:ffff:ffff:ffff:ffff:ffff:ffff
802744:f000::/202744:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812745::/202745:fff:ffff:ffff:ffff:ffff:ffff:ffff
822745:1000::/202745:1fff:ffff:ffff:ffff:ffff:ffff:ffff
832745:2000::/202745:2fff:ffff:ffff:ffff:ffff:ffff:ffff
842745:3000::/202745:3fff:ffff:ffff:ffff:ffff:ffff:ffff
852745:4000::/202745:4fff:ffff:ffff:ffff:ffff:ffff:ffff
862745:5000::/202745:5fff:ffff:ffff:ffff:ffff:ffff:ffff
872745:6000::/202745:6fff:ffff:ffff:ffff:ffff:ffff:ffff
882745:7000::/202745:7fff:ffff:ffff:ffff:ffff:ffff:ffff
892745:8000::/202745:8fff:ffff:ffff:ffff:ffff:ffff:ffff
902745:9000::/202745:9fff:ffff:ffff:ffff:ffff:ffff:ffff
912745:a000::/202745:afff:ffff:ffff:ffff:ffff:ffff:ffff
922745:b000::/202745:bfff:ffff:ffff:ffff:ffff:ffff:ffff
932745:c000::/202745:cfff:ffff:ffff:ffff:ffff:ffff:ffff
942745:d000::/202745:dfff:ffff:ffff:ffff:ffff:ffff:ffff
952745:e000::/202745:efff:ffff:ffff:ffff:ffff:ffff:ffff
962745:f000::/202745:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972746::/202746:fff:ffff:ffff:ffff:ffff:ffff:ffff
982746:1000::/202746:1fff:ffff:ffff:ffff:ffff:ffff:ffff
992746:2000::/202746:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1002746:3000::/202746:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1012746:4000::/202746:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1022746:5000::/202746:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1032746:6000::/202746:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1042746:7000::/202746:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1052746:8000::/202746:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1062746:9000::/202746:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1072746:a000::/202746:afff:ffff:ffff:ffff:ffff:ffff:ffff
1082746:b000::/202746:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1092746:c000::/202746:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1102746:d000::/202746:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1112746:e000::/202746:efff:ffff:ffff:ffff:ffff:ffff:ffff
1122746:f000::/202746:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132747::/202747:fff:ffff:ffff:ffff:ffff:ffff:ffff
1142747:1000::/202747:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1152747:2000::/202747:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1162747:3000::/202747:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1172747:4000::/202747:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1182747:5000::/202747:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1192747:6000::/202747:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1202747:7000::/202747:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1212747:8000::/202747:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1222747:9000::/202747:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1232747:a000::/202747:afff:ffff:ffff:ffff:ffff:ffff:ffff
1242747:b000::/202747:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1252747:c000::/202747:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1262747:d000::/202747:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1272747:e000::/202747:efff:ffff:ffff:ffff:ffff:ffff:ffff
1282747:f000::/202747:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292748::/202748:fff:ffff:ffff:ffff:ffff:ffff:ffff
1302748:1000::/202748:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1312748:2000::/202748:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1322748:3000::/202748:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1332748:4000::/202748:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1342748:5000::/202748:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1352748:6000::/202748:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1362748:7000::/202748:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1372748:8000::/202748:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1382748:9000::/202748:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1392748:a000::/202748:afff:ffff:ffff:ffff:ffff:ffff:ffff
1402748:b000::/202748:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1412748:c000::/202748:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1422748:d000::/202748:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1432748:e000::/202748:efff:ffff:ffff:ffff:ffff:ffff:ffff
1442748:f000::/202748:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452749::/202749:fff:ffff:ffff:ffff:ffff:ffff:ffff
1462749:1000::/202749:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1472749:2000::/202749:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1482749:3000::/202749:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1492749:4000::/202749:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1502749:5000::/202749:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1512749:6000::/202749:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1522749:7000::/202749:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1532749:8000::/202749:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1542749:9000::/202749:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1552749:a000::/202749:afff:ffff:ffff:ffff:ffff:ffff:ffff
1562749:b000::/202749:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1572749:c000::/202749:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1582749:d000::/202749:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1592749:e000::/202749:efff:ffff:ffff:ffff:ffff:ffff:ffff
1602749:f000::/202749:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161274a::/20274a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162274a:1000::/20274a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163274a:2000::/20274a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164274a:3000::/20274a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165274a:4000::/20274a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166274a:5000::/20274a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167274a:6000::/20274a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168274a:7000::/20274a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169274a:8000::/20274a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170274a:9000::/20274a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171274a:a000::/20274a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172274a:b000::/20274a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173274a:c000::/20274a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174274a:d000::/20274a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175274a:e000::/20274a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176274a:f000::/20274a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177274b::/20274b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178274b:1000::/20274b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179274b:2000::/20274b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180274b:3000::/20274b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181274b:4000::/20274b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182274b:5000::/20274b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183274b:6000::/20274b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184274b:7000::/20274b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185274b:8000::/20274b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186274b:9000::/20274b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187274b:a000::/20274b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188274b:b000::/20274b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189274b:c000::/20274b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190274b:d000::/20274b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191274b:e000::/20274b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192274b:f000::/20274b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193274c::/20274c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194274c:1000::/20274c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195274c:2000::/20274c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196274c:3000::/20274c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197274c:4000::/20274c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198274c:5000::/20274c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199274c:6000::/20274c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200274c:7000::/20274c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201274c:8000::/20274c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202274c:9000::/20274c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203274c:a000::/20274c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204274c:b000::/20274c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205274c:c000::/20274c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206274c:d000::/20274c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207274c:e000::/20274c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208274c:f000::/20274c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209274d::/20274d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210274d:1000::/20274d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211274d:2000::/20274d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212274d:3000::/20274d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213274d:4000::/20274d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214274d:5000::/20274d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215274d:6000::/20274d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216274d:7000::/20274d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217274d:8000::/20274d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218274d:9000::/20274d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219274d:a000::/20274d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220274d:b000::/20274d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221274d:c000::/20274d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222274d:d000::/20274d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223274d:e000::/20274d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224274d:f000::/20274d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225274e::/20274e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226274e:1000::/20274e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227274e:2000::/20274e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228274e:3000::/20274e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229274e:4000::/20274e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230274e:5000::/20274e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231274e:6000::/20274e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232274e:7000::/20274e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233274e:8000::/20274e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234274e:9000::/20274e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235274e:a000::/20274e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236274e:b000::/20274e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237274e:c000::/20274e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238274e:d000::/20274e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239274e:e000::/20274e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240274e:f000::/20274e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241274f::/20274f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242274f:1000::/20274f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243274f:2000::/20274f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244274f:3000::/20274f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245274f:4000::/20274f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246274f:5000::/20274f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247274f:6000::/20274f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248274f:7000::/20274f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249274f:8000::/20274f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250274f:9000::/20274f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251274f:a000::/20274f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252274f:b000::/20274f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253274f:c000::/20274f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254274f:d000::/20274f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255274f:e000::/20274f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256274f:f000::/20274f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses